Как установить скобки в Debian / Ubuntu и производных

Кронштейны

Brackets - это редактор кода, который мы можем получить для нашего дистрибутива Gnu / Linux бесплатно. Кронштейны Он создан компанией Adobe, хотя и является свободным программным обеспечением.

Скобки - это не редактор кода, поскольку он позволяет редактировать файлы, связанные с веб-разработкой, хотя файлы с языков программирования, таких как C или Java, также могут быть созданы с помощью этого редактора, но он не будет обладать теми же функциями, что и при создании файлов php или javascript.

Brackets поддерживает плагины и надстройки, которые позволяют расширять его функции и инструменты, но самое интересное - это просмотр в реальном времени, который он предлагает. Эта функция позволяет нам видеть любую веб-разработку, которую мы редактируем. Это одна из функций, которые мне больше всего нравятся в этом редакторе, и это заставляет меня выбирать ее перед другими редакторами кода, такими как Atom или Sublime Text.

Brackets имеет функцию просмотра в реальном времени, которая поможет нам разработать наш веб-проект.

Последнюю версию Brackets можно установить в нашем дистрибутиве на основе Debian, для этого нам просто нужно перейти в официальный сайт и загрузите пакет deb, соответствующий нашей платформе. Но в некоторых дистрибутивах, таких как Ubuntu, этот метод установки может быть проблематичным, поскольку Для скобок нужна библиотека libgcrypt11, а в Ubuntu ее нет. в самых последних версиях.

Чтобы решить эту проблему, мы либо устанавливаем библиотеку самостоятельно, либо мы используем стандартный репозиторий, который решает эту проблему. Я лично выбираю последнее и репозиторий webupd8, репозиторий, отвечающий всем нашим требованиям. Итак, мы открываем терминал и пишем следующее:

sudo add-apt-repository ppa:webupd8team/brackets
sudo apt update
sudo apt install brackets

После этого будет установлен редактор скобок, и после нескольких минут установки он будет готов к использованию и созданию наших веб-приложений, не так ли?

ОБНОВЛЕНО: Adobe прекратила разработку Brackets после соглашения с Microsoft 1 сентября 2021 года, и с тех пор обновленной версии для Linux нет. Да, мы можем установить то, что описано здесь (v1.13), пакет хватка (v1.11) и Flatpak (v1.14.1). Больше информации, здесь.

Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

6 комментариев, оставьте свой

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован.

*

*

  1. Ответственный за данные: AB Internet Networks 2008 SL
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.

  1.   Angeluz сказал

    Отличный брат, я получил идею от возвышенного из сообщения о покупке, и я использовал атом до сих пор, но я взволнован идеей снова поработать с таким инструментом, как Dreamweaver

  2.   Иньяки сказал

    Я занимаюсь Ubuntu относительно недолго. Сейчас я использую eclipse. Но чего мне действительно не хватает, так это шаблонов Dreamweaver, которые при обновлении ссылки в меню обновляются во всех файлах, использующих этот шаблон. Есть ли что-то подобное в скобках или в каком-нибудь другом идее или редакторе?

  3.   лед сказал

    ммм Я оставил более полный учебник в своем блоге, на случай, если вам интересно, без добавления файла ppa. Если вам интересно, дайте им знать xD

    1.    Иисус сказал

      но поделитесь своим блогом, это было бы очень полезно, я особенно ищу редактор, который обрабатывает пакеты Java или привязан к jdk 8 или openJDK JRE.

      привет

  4.   Хавьер Гарсия сказал

    Любопытное приложение с открытым исходным кодом (не с открытым исходным кодом), которому нужна устаревшая библиотека шифрования, есть более современная, libgcrypt1.

  5.   хосе сказал

    Не нашла посылку ...

bool (истина)